MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025235Open CASCADE[OCCT] OCCT:Visualizationpublic2014-09-11 16:432014-11-11 13:02
Reporteraba 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025235: Draw Harness - improve commands vdimension and vdimparam
DescriptionAvailable options of vdimension and vdimparam commands need to be extended:
1) to set 3D text size and 3D text display mode
2) to change arrow parameters
TagsNo tags attached.
Test case numberdemo samples(003) dimensions
Attached Filespng file icon dims_flat.png (114,321 bytes) 2014-09-11 19:20
png file icon dims_axo.png (118,432 bytes) 2014-09-11 19:21
png file icon hatch.png (5,697 bytes) 2014-09-30 18:02

- Relationships
related to 0024387closedski Tests - use system-independent fonts in test cases 

-  Notes
(0031622)
git (administrator)
2014-09-11 17:57

Branch CR25235 has been created by aba.

SHA-1: 4773baed4da6fb5429927e3baeb512cb7600b943


Detailed log of new commits:

Author: aba
Date: Thu Sep 11 17:54:21 2014 +0400

    0025235: DRAW Test Harness: vdimension and vdimparam need to be updated:
    
    1) corrected angle dimension initialization to allow ellipse input geometry with equal radii.
    2) changed default value of arrow angle for dimensions.
    3) added arlength, arangle, textmode, textsize to vdimension and vdimparam Draw commands.
(0031623)
aba (developer)
2014-09-11 17:58

Dear kgv,

please review the branch CR25235.
(0031628)
git (administrator)
2014-09-11 18:59

Branch CR25235 has been updated by aba.

SHA-1: 168207064361d98bef9b7e60293bc70adfce8e35


Detailed log of new commits:

Author: aba
Date: Thu Sep 11 18:58:54 2014 +0400

    Added color parameter to vdimension and vdimparam.

(0031629)
git (administrator)
2014-09-11 19:20

Branch CR25235 has been updated by kgv.

SHA-1: 8648ad5c966eec7c8600d93adac4838c4a4fa6c7


Detailed log of new commits:

Author: aba
Date: Thu Sep 11 19:20:17 2014 +0400

    Add dimensions demo script samples/tcl/dimensions.tcl

(0031642)
kgv (developer)
2014-09-12 10:19

Dear Anastasia,

please consider redesigning command to provide common style described in Code Rules (e.g. "-text 2d" instead of "text=2d" and so on).
(0031644)
git (administrator)
2014-09-12 10:27

Branch CR25235 has been updated by kgv.

SHA-1: 5ee52b469935e5b771e943464e73efbda22223fb


Detailed log of new commits:

Author: kgv
Date: Fri Sep 12 10:27:51 2014 +0400

    Add new demo script to automated tests

(0032038)
git (administrator)
2014-09-23 18:54

Branch CR25235 has been updated by aba.

SHA-1: c7fe083c133eb026a858009e26eb7043bb8dd00a


Detailed log of new commits:

Author: aba
Date: Tue Sep 23 18:54:29 2014 +0400

    remarks; changed command format of vdimension and vdimparam; updated tests.

(0032039)
aba (developer)
2014-09-23 18:55

Dear san,

please review the branch CR25235.
(0032074)
kgv (developer)
2014-09-24 12:12
edited on: 2014-09-24 12:14

Dear Anastasia,

+{
+    BRepAdaptor_Curve anAdaptedCurve (theEdge);
+    switch (anAdaptedCurve.GetType())
+    {

please correct indentation.

+    theLastPoint  = anAdaptedCurve.Value (anAdaptedCurve.LastParameter());
+}
+//=======================================================================

please add empty line; the function should return value.

+        Handle(Geom_Curve) aCurve;
+        aCurve = aBasisSurf->VIso(aMidV);

single line?

+  static  Standard_Boolean CircleFromPlanarFace (const TopoDS_Face& theFace,

redundant space after "static".

+  Standard_Boolean& theIsCustomPlane,gp_Pln& thePlane,

please add space after ",".

+        if (aValue.IsEqual ("2d") || aValue.IsEqual ("3d"))
         {
+          theAspect->MakeText3d (aValue.IsEqual ("3d"));
         }

the following would be more clear (the same for shading/wireframe):
if (aValue == "3d")
{
  theAspect->MakeText3d (Standard_True);
}
else if (aValue.IsEqual ("2d"))
{
  theAspect->MakeText3d (Standard_False);
}

+    else if (aParam.IsEqual ("-color"))
+    {
+      theAspect->SetCommonColor (Quantity_Color (ViewerTest::GetColorFromName (theArgVec[++anIt])));

+    }
+    else if (aParam.IsEqual ("-extension"))
+    {
+      TCollection_AsciiString aParam (theArgVec[++anIt]);

out of range check (++anIt < theArgNum)?

   GetMapOfAIS().Bind (aDim,aName);
 
+  std::cout << theArgs[0] << ": dimension " << aName.ToCString()
+    << " was built. To display it call 'vdisplay " << aName.ToCString() << 
"'\n";

do we really want to create hidden dimensions by default?
To suppress viewer updates in batch script - parse argument "-noupdate/-update" instead (see vsetlocation as example).
If hidden dimension is really needed in some scenario - please consider adding option "-hide/-hidden".

It seems that within ParseDimensionParams/VDimBuilder unknown arguments will be just ignored. It is inconsistent and not very friendly - for instance user will not see any feedback why command does not produce expected result in case of misprint in some parameter starting with "-".

(0032093)
kgv (developer)
2014-09-24 15:00

Please consider adding option to setup font for dimension - see 0024387 issue.
(0032160)
git (administrator)
2014-09-25 16:46

Branch CR25235 has been updated by aba.

SHA-1: 023d4b23f6a605f75c5c0186627c4d58feea3567


Detailed log of new commits:

Author: aba
Date: Thu Sep 25 16:46:04 2014 +0400

    Added vdimension command validation checks; made dimensions automatically displayed; updated test cases.

(0032162)
aba (developer)
2014-09-25 17:11

Remarks were corrected except font loading 0024387 (as agreed with san, it will be done after OCC 6.8.0 release).

Dear kgv,

please review.
(0032372)
git (administrator)
2014-09-30 09:05

Branch CR25235_1 has been created by kgv.

SHA-1: ed962c2ac4d4199cd849b3427ef6d67b109df946


Detailed log of new commits:

Author: aba
Date: Tue Sep 30 09:05:06 2014 +0400

(0032373)
git (administrator)
2014-09-30 09:12

Branch CR25235_1 has been updated forcibly by kgv.

SHA-1: 7a67594b877859aaa071101c900dcf237920d80b
(0032374)
git (administrator)
2014-09-30 09:12

Branch CR25235_1 has been updated forcibly by kgv.

SHA-1: 8081de1f3d0fc02447f4f32f6103c223fc97a89f
(0032375)
kgv (developer)
2014-09-30 09:13

Please test patch in branch CR25235_1.
(0032477)
mkv (tester)
2014-09-30 19:06

Dear BugMaster,
Branch CR25235_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 8081de1f3d0fc02447f4f32f6103c223fc97a89f

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 196 (196 on master)

products component :
Linux: 11 (11 on master)
Windows: 3 (3 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25235-1-master-occt/Debian60-64/demo/samples/dimensions.html [^]
http://occt-tests/CR25235-1-master-occt/Windows-32-VC10/demo/samples/dimensions.html [^]
demo samples(003) dimensions: OK

Testing on Linux:
occt component :
Total MEMORY difference: 398069100 / 397669948
Total CPU difference: 44786.71000000018 / 46596.14000000006
products component :
Total MEMORY difference: 124787840 / 124645448
Total CPU difference: 16075.319999999982 / 14771.669999999953

Testing on Windows:
occt component :
Total MEMORY difference: 254739356 / 279236240
Total CPU difference: 33850.375 / 39387.8125
products component :
Total MEMORY difference: 67286612 / 67249232
Total CPU difference: 10757.46875 / 11300.046875

There are no differences in images found by testdiff.
(0032478)
git (administrator)
2014-09-30 19:07

Branch CR25235_1 has been updated by mkv.

SHA-1: a56e34a6a61e4b947c5ff211927b5abd7e65961a


Detailed log of new commits:

Author: mkv
Date: Tue Sep 30 19:05:33 2014 +0400

    Add file for test case for issue CR25235

(0033457)
git (administrator)
2014-10-21 16:44

Branch CR25235_1 has been deleted by inv.

SHA-1: a56e34a6a61e4b947c5ff211927b5abd7e65961a
(0033470)
git (administrator)
2014-10-21 16:44

Branch CR25235 has been deleted by inv.

SHA-1: 023d4b23f6a605f75c5c0186627c4d58feea3567

- Related Changesets
occt: master 0499eb06
Timestamp: 2014-10-02 10:02:20
Author: aba
Committer: bugmaster
Details ] Diff ]
0025235: Draw Harness - improve commands vdimension and vdimparam

Make commands syntax to meet coding rules.
Correct angle dimension initialization to allow ellipse input geometry with equal radii.
Change default value of arrow angle for dimensions (from 20 to 12 degrees).
Add arlength, arangle, textmode, textsize to vdimension and vdimparam Draw commands.
Add color parameter to vdimension and vdimparam.
Display dimensions by default.

Add dimensions demo script samples/tcl/dimensions.tcl.

Add file for test case for issue CR25235
add - data/images/hatch_1.png Diff ] File ]
add - samples/tcl/dimensions.tcl Diff ] File ]
mod - src/AIS/AIS_Dimension.cxx Diff ] File ]
mod - src/AIS/AIS_Dimension.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_DimensionAspect.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff ] File ]
mod - tests/bugs/vis/bug24133_1 Diff ] File ]
mod - tests/bugs/vis/bug24133_2 Diff ] File ]
mod - tests/bugs/vis/bug24133_3 Diff ] File ]
mod - tests/bugs/vis/bug24133_4 Diff ] File ]
mod - tests/bugs/vis/bug24288_1 Diff ] File ]
mod - tests/bugs/vis/bug24288_2 Diff ] File ]
mod - tests/bugs/vis/bug24288_3 Diff ] File ]
mod - tests/bugs/vis/bug24293 Diff ] File ]
mod - tests/bugs/vis/bug24351_1 Diff ] File ]
mod - tests/bugs/vis/bug24351_2 Diff ] File ]
mod - tests/bugs/vis/bug24351_3 Diff ] File ]
mod - tests/bugs/vis/bug24351_4 Diff ] File ]
mod - tests/bugs/vis/bug24374 Diff ] File ]
mod - tests/bugs/vis/bug24389 Diff ] File ]
mod - tests/bugs/vis/bug24412_1 Diff ] File ]
mod - tests/bugs/vis/bug24412_2 Diff ] File ]
add - tests/demo/samples/dimensions Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-11 16:43 aba New Issue
2014-09-11 16:43 aba Assigned To => aba
2014-09-11 16:44 aba Status new => assigned
2014-09-11 16:55 aba Summary DRAW Test Harness: vdimension and vdimparams need to be updated => DRAW Test Harness: vdimension and vdimparam need to be updated
2014-09-11 16:55 aba Description Updated View Revisions
2014-09-11 17:07 abv Target Version => 6.8.0
2014-09-11 17:57 git Note Added: 0031622
2014-09-11 17:58 aba Note Added: 0031623
2014-09-11 17:58 aba Assigned To aba => kgv
2014-09-11 17:58 aba Status assigned => resolved
2014-09-11 18:59 git Note Added: 0031628
2014-09-11 19:20 git Note Added: 0031629
2014-09-11 19:20 kgv File Added: dims_flat.png
2014-09-11 19:21 kgv File Added: dims_axo.png
2014-09-12 10:19 kgv Note Added: 0031642
2014-09-12 10:19 kgv Assigned To kgv => aba
2014-09-12 10:19 kgv Status resolved => assigned
2014-09-12 10:19 kgv Summary DRAW Test Harness: vdimension and vdimparam need to be updated => Draw Harness - redesign and extend vdimension and vdimparam commands
2014-09-12 10:27 git Note Added: 0031644
2014-09-23 18:54 git Note Added: 0032038
2014-09-23 18:55 aba Note Added: 0032039
2014-09-23 18:55 aba Assigned To aba => san
2014-09-23 18:55 aba Status assigned => resolved
2014-09-24 12:12 kgv Note Added: 0032074
2014-09-24 12:14 kgv Note Edited: 0032074 View Revisions
2014-09-24 12:14 kgv Assigned To san => aba
2014-09-24 12:14 kgv Status resolved => assigned
2014-09-24 14:59 kgv Relationship added related to 0024387
2014-09-24 15:00 kgv Note Added: 0032093
2014-09-25 16:46 git Note Added: 0032160
2014-09-25 17:11 aba Note Added: 0032162
2014-09-25 17:11 aba Assigned To aba => kgv
2014-09-25 17:11 aba Status assigned => resolved
2014-09-30 09:05 git Note Added: 0032372
2014-09-30 09:12 git Note Added: 0032373
2014-09-30 09:12 git Note Added: 0032374
2014-09-30 09:13 kgv Note Added: 0032375
2014-09-30 09:13 kgv Assigned To kgv => bugmaster
2014-09-30 09:13 kgv Status resolved => reviewed
2014-09-30 09:16 kgv Summary Draw Harness - redesign and extend vdimension and vdimparam commands => Draw Harness - improve commands vdimension and vdimparam
2014-09-30 11:49 mkv Assigned To bugmaster => mkv
2014-09-30 18:02 kgv File Added: hatch.png
2014-09-30 19:06 mkv Note Added: 0032477
2014-09-30 19:06 mkv Assigned To mkv => bugmaster
2014-09-30 19:06 mkv Status reviewed => tested
2014-09-30 19:06 mkv Test case number => demo samples(003) dimensions
2014-09-30 19:07 git Note Added: 0032478
2014-10-03 14:07 bugmaster Changeset attached => occt master 0499eb06
2014-10-03 14:07 bugmaster Status tested => verified
2014-10-03 14:07 bugmaster Resolution open => fixed
2014-10-21 16:44 git Note Added: 0033457
2014-10-21 16:44 git Note Added: 0033470
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker